Subject: format of "From " address

From: Patti Johnson <[email-masked]>
Date: Tue, 15 Nov 1994 09:31:15 -0500 (EST)

Hello all!  Sorry to be so confused but:
When I send mail using Pine, it sets my return address incorrectly - it 
sets it to my login followed by the domain name, rather than the full 
machine address.  That is, what I get is: [email-masked].  What I WANT 
is: [email-masked]

Now, when I use the mailx that came with my Solaris 2.3, mailx translates 
that beast into: johnson@micronet - I think if it's sending within the 
same domain (hopefully adding the domain to addresses OUTSIDE of this 
domain).  

How do I change how pine sets the from and/or return address?  I've 
looked at the settings but nothing seems to make a difference.
pj